from django.shortcuts import render, redirect
from django.http import HttpResponse
from django.contrib.auth.decorators import login_required
from warpauth.util import *
from warpmain.models import News, NewsForm

# ToDo: Not ready yet

@login_required(login_url='/login/', redirect_field_name=None)
def news(request, news_id=0):
    if request.method == "POST":
        news_form = NewsForm(request.POST)
        if news_form.is_valid():
            news = news_form.save()
            news.user = request.user.ldap_username
            news.save()
            return redirect("/administration/news/")
        else:
            pages['create_news_form'] = news_form

    else:
        pages['news_list'] = News.objects.order_by("created")
        pages['create_news_form'] = NewsForm()
        if news_id != 0:
            pages['create_news_form'] = NewsForm(News.objects.get(id=news_id))

    return HttpResponse(render(request, 'warpmain/admin/news.html', pages))

@login_required(login_url='/login/', redirect_field_name=None)
def news_delete(request, news_id=0):
    pass